Create new booking.

Prev Next
Post
/api/v1/Dooh/Bookings

The parameters playerIds and externalLocationIds are mutually exclusive.

Security
API Key: bearerAuth
Query parameter name
API Key: session_id
Header parameter nameX-Session-Id

Session Id

API Key: api_key
Header parameter nameX-ApiKey

Api Key

API Key: session_cookie
Query parameter name
Body parameters
Expand All
object

Represents a request to create a new booking, including spot, product, client, campaign details, booking time range, assigned players, hub numbers, and targeting options.

spotId
integer (int32)

Gets or sets the spot ID for the booking.

productId
integer (int32)

Gets or sets the product ID for the booking.

clientId
integer (int32) Required

Gets or sets the client ID for the booking.

campaign
string | null

Gets or sets the campaign name.

brand
string | null

Gets or sets the brand name.

description
string | null

Gets or sets the booking description.

isReserved
boolean Required

Gets or sets a value indicating whether the booking is reserved.

ignoreCapacityValidation
boolean

Gets or sets a value indicating whether to ignore product capacity validation. If true, booking will be ordered even if it exceeds the product capacity.

from
string (date-time) Required

Gets or sets the booking start time.

Example2024-04-15T08:00:00Z
to
string (date-time) Required

Gets or sets the booking end time.

Example2024-04-30T20:00:00Z
validDayTimes
Array of object (TimeRange) | null

Gets or sets the valid time periods. If omitted, booking will play all day long.

object

Represents a time range with a start and end time in "HH:mm" format.

from
string | null

Gets or sets the start time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example08:00
to
string | null

Gets or sets the end time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example22:00
liveTags
Array of object (LiveTag) | null

Gets or sets the live tags. Only applicable for LiveTag products.

object

Represents a live tag with a parent tag and associated child tag ids.

parentTagId
integer (int32)

Gets or sets the identifier of the parent tag.

childTagIds
Array of integer | null

Gets or sets the list of child tag ids.

integer (int32)
playerIds
Array of integer | null

Gets or sets the assigned player IDs.

integer (int32)
externalLocationIds
Array of string | null

Gets or sets the assigned external location IDs.

string
targetPlaybacks
integer (int32) | null

Gets or sets the target playback count. Only applicable for LiveTag and Playback products.

Example10000
targetShareOfVoicePercentage
integer (int32) | null

Gets or sets the target percentage. Only applicable for ShareOfVoice products.

Minimum0.0
Maximum100.0
Example10
targetFrequency
integer (int32) | null

Gets or sets the target frequency. Only applicable for Frequency products.

Example120
Expand All
object

Represents a request to create a new booking, including spot, product, client, campaign details, booking time range, assigned players, hub numbers, and targeting options.

spotId
integer (int32)

Gets or sets the spot ID for the booking.

productId
integer (int32)

Gets or sets the product ID for the booking.

clientId
integer (int32) Required

Gets or sets the client ID for the booking.

campaign
string | null

Gets or sets the campaign name.

brand
string | null

Gets or sets the brand name.

description
string | null

Gets or sets the booking description.

isReserved
boolean Required

Gets or sets a value indicating whether the booking is reserved.

ignoreCapacityValidation
boolean

Gets or sets a value indicating whether to ignore product capacity validation. If true, booking will be ordered even if it exceeds the product capacity.

from
string (date-time) Required

Gets or sets the booking start time.

Example2024-04-15T08:00:00Z
to
string (date-time) Required

Gets or sets the booking end time.

Example2024-04-30T20:00:00Z
validDayTimes
Array of object (TimeRange) | null

Gets or sets the valid time periods. If omitted, booking will play all day long.

object

Represents a time range with a start and end time in "HH:mm" format.

from
string | null

Gets or sets the start time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example08:00
to
string | null

Gets or sets the end time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example22:00
liveTags
Array of object (LiveTag) | null

Gets or sets the live tags. Only applicable for LiveTag products.

object

Represents a live tag with a parent tag and associated child tag ids.

parentTagId
integer (int32)

Gets or sets the identifier of the parent tag.

childTagIds
Array of integer | null

Gets or sets the list of child tag ids.

integer (int32)
playerIds
Array of integer | null

Gets or sets the assigned player IDs.

integer (int32)
externalLocationIds
Array of string | null

Gets or sets the assigned external location IDs.

string
targetPlaybacks
integer (int32) | null

Gets or sets the target playback count. Only applicable for LiveTag and Playback products.

Example10000
targetShareOfVoicePercentage
integer (int32) | null

Gets or sets the target percentage. Only applicable for ShareOfVoice products.

Minimum0.0
Maximum100.0
Example10
targetFrequency
integer (int32) | null

Gets or sets the target frequency. Only applicable for Frequency products.

Example120
Expand All
object

Represents a request to create a new booking, including spot, product, client, campaign details, booking time range, assigned players, hub numbers, and targeting options.

spotId
integer (int32)

Gets or sets the spot ID for the booking.

productId
integer (int32)

Gets or sets the product ID for the booking.

clientId
integer (int32) Required

Gets or sets the client ID for the booking.

campaign
string | null

Gets or sets the campaign name.

brand
string | null

Gets or sets the brand name.

description
string | null

Gets or sets the booking description.

isReserved
boolean Required

Gets or sets a value indicating whether the booking is reserved.

ignoreCapacityValidation
boolean

Gets or sets a value indicating whether to ignore product capacity validation. If true, booking will be ordered even if it exceeds the product capacity.

from
string (date-time) Required

Gets or sets the booking start time.

Example2024-04-15T08:00:00Z
to
string (date-time) Required

Gets or sets the booking end time.

Example2024-04-30T20:00:00Z
validDayTimes
Array of object (TimeRange) | null

Gets or sets the valid time periods. If omitted, booking will play all day long.

object

Represents a time range with a start and end time in "HH:mm" format.

from
string | null

Gets or sets the start time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example08:00
to
string | null

Gets or sets the end time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example22:00
liveTags
Array of object (LiveTag) | null

Gets or sets the live tags. Only applicable for LiveTag products.

object

Represents a live tag with a parent tag and associated child tag ids.

parentTagId
integer (int32)

Gets or sets the identifier of the parent tag.

childTagIds
Array of integer | null

Gets or sets the list of child tag ids.

integer (int32)
playerIds
Array of integer | null

Gets or sets the assigned player IDs.

integer (int32)
externalLocationIds
Array of string | null

Gets or sets the assigned external location IDs.

string
targetPlaybacks
integer (int32) | null

Gets or sets the target playback count. Only applicable for LiveTag and Playback products.

Example10000
targetShareOfVoicePercentage
integer (int32) | null

Gets or sets the target percentage. Only applicable for ShareOfVoice products.

Minimum0.0
Maximum100.0
Example10
targetFrequency
integer (int32) | null

Gets or sets the target frequency. Only applicable for Frequency products.

Example120
Responses
200

OK

integer (int32)
integer (int32)
integer (int32)
400

Bad Request

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
401

Unauthorized

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
403

Forbidden

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
409

Conflict

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
default

Error

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*